﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=10.104.0.44, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="syncfusion" %>

    <%@ Register Assembly="TreeGridHelper" Namespace="TreeGridListHelper" TagPrefix="syncfusion" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
<style type="text/css">
        .HeaderGradient
        {
            background-image: url('images/hea_bg.PNG');
            border-right: Solid 1px #a2abca;
            background-color: #9dabce;
            margin-bottom: 10px;
            font: 700 12px Tahoma;
            padding-left: 5px;
            color: White;
            cursor: default;
        }
        .GridAnyRecord
        {
            background-color: #f6f7fc;
            border: none;
            border-right: Solid 1px #a2abca;
            border-bottom: Solid 1px #f6f7fc;
            font: 11px Segoe UI;
            padding-left: 3px;
            cursor: default;
        }
        .RowButonBackColor
        {
            border-color: Red;
            border-width: 1px;
            border-style: solid;
            background-color: #e7ebf6;
            cursor: default;
            overflow: hidden;
            text-align: center;
            vertical-align: middle;
            font: 700 12px Tahoma;
        }
        .RadioButton
        {
            padding: 0px;
            margin: 0px;
        }
    </style>

    <script type="text/javascript">
        function UpdateGrid(ctlID, RowIndex, IsExpanded) {
            __doPostBack(ctlID, RowIndex + "|" + IsExpanded);
        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <p>
        To learn more about ASP.NET visit <a href="http://www.asp.net" title="ASP.NET Website">www.asp.net</a>.
    </p>
    <p>
        You can also find <a href="http://go.microsoft.com/fwlink/?LinkID=152368&amp;clcid=0x409"
            title="MSDN ASP.NET Docs">documentation on ASP.NET at MSDN</a>.
    </p>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
                                  <syncfusion:gridgroupingcontrol enablecallbacks="false" showgroupdroparea="False"
                                            id="GridGroupingControl1" runat="server" bordercollapse="Separate" dragselectionbackcolor="Yellow"
                                            showloadingindicatoroncallback="True" hottrackbuttons="False" autoformat="Office 2007 Blue"
                                            clientobjectid="GridControl" clientsidecolumnresizing="False" postbackonrowdblclick="False"
                                            ensureselection="true" onquerycellstyleinfo="GridGroupingControl1_QueryCellStyleInfo"
                                            pagesize="50">
                                            <tableoptions listboxselectionmode="None" showrowheader="False" selectionbackcolor="101, 110, 151">
                                            </tableoptions>
                                            <tabledescriptor allownew="False" allowedit="False" allowfilter="False">
                                                
                                                <Columns>
                                                    <syncfusion:GridColumnDescriptor MappingName="DEPTNO" HeaderText="DEPT CODE">
                                                        <ItemTemplate>
                                                            <syncfusion:TreeGridTemplateControl ID="WebCustomControl1_1" runat="server" Expanded="<%#GetExpanded(Container)%>"
                                                                Text="<%#GetName(Container)%>" PlusMinusVisible="<%#GetPlusMinus(Container)%>" Level="<%#GetLevel(Container)%>" RowIndex="<%#GetRowIndex(Container)%>"
                                                                OnClick="WebCustomControl1_1_Click" />
                                                        </ItemTemplate>
                                                    </syncfusion:GridColumnDescriptor>
                                                    <syncfusion:GridColumnDescriptor MappingName="ID" HeaderText="DEPT ID">
                                                    </syncfusion:GridColumnDescriptor>
                                                    <syncfusion:GridColumnDescriptor MappingName="DEPTNAME" HeaderText="DEPT NAME">
                                                    </syncfusion:GridColumnDescriptor>
                                                    <syncfusion:GridColumnDescriptor MappingName="Location" HeaderText="LOCATION">
                                                    </syncfusion:GridColumnDescriptor>
                                                    <syncfusion:GridColumnDescriptor MappingName="ADMRDEBT" HeaderText="HEADER DEPT ID">
                                                    </syncfusion:GridColumnDescriptor>
                                                </Columns>
                                            </tabledescriptor>
                                        </syncfusion:gridgroupingcontrol>
                                     
                                   
</asp:Content>
